# Bulk write 'NotificationDistribution'

Endpoint: POST /communication/notificationdistribution/list/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `sent_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `delivered_time`, `failed_delivery_time`, `viewed_time`

  - `delivered_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `failed_delivery_time`, `viewed_time`, `sent_time`

  - `viewed_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `delivered_time`, `sent_time`, `failed_delivery_time`

  - `failed_delivery_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `delivered_time`, `sent_time`, `viewed_time`

  - `failed_context` (string)
    **Additional Validation Information:**
This value requires that the following fields are also set: `failed_delivery_time`

## Response 201 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `distribution_type` (integer, required)

  - `updated_at` (string)

  - `sent_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `delivered_time`, `failed_delivery_time`, `viewed_time`

  - `delivered_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `failed_delivery_time`, `viewed_time`, `sent_time`

  - `viewed_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `delivered_time`, `sent_time`, `failed_delivery_time`

  - `failed_delivery_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `delivered_time`, `sent_time`, `viewed_time`

  - `failed_context` (string)
    **Additional Validation Information:**
This value requires that the following fields are also set: `failed_delivery_time`

  - `notification` (object, required)

  - `notification.id` (string)

